Get organization billing configuration
curl --request GET \
--url https://dashboard.hologram.io/api/1/organizations/{orgId}/billing \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dashboard.hologram.io/api/1/organizations/{orgId}/billing"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dashboard.hologram.io/api/1/organizations/{orgId}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/organizations/{orgId}/billing';
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": "<string>",
"billingmethod": 123,
"failed_billing_attempts": 123,
"cardset": true,
"card": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country": "<string>",
"expirationmonth": 123,
"expirationyear": 123,
"issuer": "<string>",
"last4": "<string>",
"name": "<string>",
"state": "<string>",
"zip": "<string>"
},
"billing_address": {
"city": "<string>",
"country": "<string>",
"invoice_text": "<string>",
"line1": "<string>",
"line2": "<string>",
"name": "<string>",
"state": "<string>",
"zip": "<string>"
},
"billing_address_set": true
}
}Billing
Get organization billing configuration
Get billing info for the organization
GET
/
organizations
/
{orgId}
/
billing
Get organization billing configuration
curl --request GET \
--url https://dashboard.hologram.io/api/1/organizations/{orgId}/billing \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dashboard.hologram.io/api/1/organizations/{orgId}/billing"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dashboard.hologram.io/api/1/organizations/{orgId}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/organizations/{orgId}/billing';
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": "<string>",
"billingmethod": 123,
"failed_billing_attempts": 123,
"cardset": true,
"card": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country": "<string>",
"expirationmonth": 123,
"expirationyear": 123,
"issuer": "<string>",
"last4": "<string>",
"name": "<string>",
"state": "<string>",
"zip": "<string>"
},
"billing_address": {
"city": "<string>",
"country": "<string>",
"invoice_text": "<string>",
"line1": "<string>",
"line2": "<string>",
"name": "<string>",
"state": "<string>",
"zip": "<string>"
},
"billing_address_set": true
}
}Authorizations
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
Path Parameters
ID of the organization
Was this page helpful?
⌘I